#!/usr/bin/env python3

import random
import sys

BURSTY = sys.argv[2] == 'bursty'

PKT_DELAY = 50
BURST_LEN = 15
PKT_SIZE = random.choice([60, 100, 150, 200])

t = 0

with open(sys.argv[1], 'w') as f:
    for i in range(100):
        if BURSTY and i % BURST_LEN == BURST_LEN-1:
            t += 2000 + random.randint(-500, 500)
        else:
            t += PKT_DELAY
        f.write('%d;%d;%d;%d;\n' % (i, t, 0, PKT_SIZE))
        